> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-dellapi-geopard/82.-query-ripristina-gli-eventi-della-sottoscrizione.md).

# 82. Query: Ripristina gli eventi della sottoscrizione

È sempre buona pratica avere la possibilità di ripristinare/ricontrollare gli eventi di sottoscrizione consegnati rispetto a quelli prodotti. Pertanto GeoPard conserva la cronologia di tutti gli eventi di sottoscrizione prodotti per il **ultimi 12 mesi**.&#x20;

I casi comuni:&#x20;

* Connessione Internet scadente e gli eventi non sono stati consegnati
* Ridistribuzione (redeployment) del listener WebSocket
* Verificare la coerenza tra eventi ricevuti e prodotti

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        azione
        nodePath {
          entità
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Filtri di input supportati:

* `dateFrom` come data/ora in formato ISO 8601 (es: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` come data/ora in formato ISO 8601 (es: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` come array di UUID delle "Aziende agricole" da cercare
* `fieldUuids` come array di UUID dei "Campi" da cercare&#x20;
* `userUuids` come array di UUID degli "User" da ricercare
* `eventUuids` come array di UUID degli "Eventi" di sottoscrizione

{% hint style="info" %}
Tutti i filtri funzionano come logico **E**.
{% endhint %}

{% hint style="info" %}
Ogni evento di sottoscrizione ha un attributo `executionDate` collegato al momento dell'invio nel formato AWSDateTime compatibile con ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-dellapi-geopard/82.-query-ripristina-gli-eventi-della-sottoscrizione.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
